Skip to content

Update Persona

PATCH /agents/{agent_id}/personas/{persona_id}

404 on an unknown id. Never an upsert.

NameInTypeNotes
agent_idpathstring (uuid)required—
persona_idpathstring (uuid)required—
FieldTypeNotes
namestring | nulloptional—
prompt_suffixstring | nulloptional—
tool_subsetstring[] | nulloptional—
sub_agent_subsetstring[] | nulloptional—
model_refstring | nulloptional—
model_paramsobject | nulloptional—
attributesobject | nulloptional—
is_activeboolean | nulloptional—
StatusDescriptionBody
200Successful ResponsePersonaView
422Validation ErrorHTTPValidationError
Terminal window
curl -X PATCH https://your-deployment.example.com/agents/{agent_id}/personas/{persona_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
agent_idstring (uuid)required—
scopeworkspace | organization | platformrequired—
slugstringrequired—
namestringrequired—
prompt_suffixstring | nullrequired, nullable—
tool_subsetstring[] | nullrequired, nullable—
sub_agent_subsetstring[] | nullrequired, nullable—
model_refstring | nullrequired, nullable—
model_paramsobject | nullrequired, nullable—
attributesobjectrequired—
is_activebooleanrequired—
created_atstring (date-time)required—
updated_atstring (date-time)required—